Xerces2 Implementation: Class TimeDV

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.xs
Class TimeDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
                  |
                  +--org.apache.xerces.impl.dv.xs.TimeDV

public class TimeDV
extends AbstractDateTimeDV

Validator for <time> datatype (W3C Schema Datatypes)

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: TimeDV.java 937741 2010-04-25 04:25:46Z mrglavas $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystem Inc.

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`datatypeFactory, DAY, MONTH, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`TimeDV()`

Method Summary
`protected java.lang.String` | `dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)` Converts time object representation to String
`java.lang.Object` | `getActualValue(java.lang.String content, ValidationContext context)` Convert a string to a compiled form
`protected javax.xml.datatype.XMLGregorianCalendar` | `getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)`
`protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData` | `parse(java.lang.String str)` Parses, validates and computes normalized version of time object

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`append, append, append2, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getDuration, getFractionalSecondsAsBigDecimal, getTime, getTimeZone, getYearMonth, indexOf, isIdentical, isNextCharUTCSign, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseSecond, parseTimeZone, resetDateObj, saveUnnormalized, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeDV

    public TimeDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Convert a string to a compiled form
  Overrides:
    `getActualValue` in class `TypeValidator`
  Parameters:
    `content` - The lexical representation of time
  Returns:
    a valid and normalized time object

### parse

    protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData parse(java.lang.String str)
                                                                          throws SchemaDateTimeException

  Parses, validates and computes normalized version of time object
  Parameters:
    `str` - The lexical representation of time object hh:mm:ss.sss with possible time zone Z or (-),(+)hh:mm Pattern: "(\\d\\d):(\\d\\d):(\\d\\d)(\\.(\\d)*)?(Z|(([-+])(\\d\\d)(:(\\d\\d))?))?")
  Returns:
    normalized time representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

  Converts time object representation to String
  Overrides:
    `dateToString` in class `AbstractDateTimeDV`
  Parameters:
    `date` - time object
  Returns:
    lexical representation of time: hh:mm:ss.sss with an optional time zone sign

### getXMLGregorianCalendar

    protected javax.xml.datatype.XMLGregorianCalendar getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

  Overrides:
    `getXMLGregorianCalendar` in class `AbstractDateTimeDV`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2018 The Apache Software Foundation. All Rights Reserved.